<template>
  <b-card>

    <b-row>

      <!-- User Info: Left col -->
      <b-col
        cols="21"
        xl="6"
        class="d-flex justify-content-between flex-column"
      >
        <!-- User Avatar & Action Buttons -->
        <div class="d-flex justify-content-start">
          <b-avatar
          
         
            src="../../../../assets/images/pages/call-ga1d7e1d6d_640.png"
            size="104px"
            rounded
          />
          <div class="d-flex flex-column ml-1">
            <div class="mb-1">
              <h2 class="mb-0">
                {{ clientData.name }} 
              </h2>
                 
            </div>

            <br>
            <div class="d-flex flex-wrap">
              <b-button
                :to="{ name: 'apps-clients-edit', params: { id: $route.params.id } }"
                variant="primary"
              >
                Editar
              </b-button>

              <b-button
                @click="deleteClient($route.params.id)"
                class="ml-1"
                variant="outline-danger"
              >
                Eliminar
              </b-button>

              <b-button
                variant="outline-success"
                class="ml-1"
                @click="$router.back()"
              >
                Regresar
              </b-button>
            </div>
            
          </div>
        </div>

        
      </b-col>

      <!-- Right Col: Table -->
      <b-col
        cols="12"
        xl="6"
      >
       <table class="mt-2 mt-xl-0 ">
      
          <tr>
            <th class="pb-50">
              <feather-icon
                icon="StarIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">RFC:</span>
            </th>
            <td class="pb-50 text-capitalize">
              {{clientData.rfc}}
            </td>
          </tr>
          <tr>
            <th class="pb-50">
              <feather-icon
                icon="StarIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Moneda de pago:</span>
            </th>
            <td class="pb-50 text-capitalize">
              {{clientData.currency_type}}
            </td>
          </tr>
            
        </table>
      
      </b-col>
    </b-row>
  </b-card>
</template>

<script>
import {
  BCard, BButton, BAvatar, BRow, BCol,BProgress,
} from 'bootstrap-vue'

export default {
  name:'client-view-info-card',
  methods: {
  },
  components: {
    BCard, BButton, BRow, BCol, BAvatar,BProgress,
  },
  props: {
    clientData: {
      type: Object,
      required: true,
    },
  },
  methods:{
    deleteClient(client){
      this.$swal({
        title: '¿Está seguro de eliminar el registro?',
        text: "No podrás revertir esto!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonText: 'Si, eliminar!',
        customClass: {
          confirmButton: 'btn btn-primary',
          cancelButton: 'btn btn-outline-danger ml-1',
        },
        buttonsStyling: false,

      }).then(result => {
        if (result.value) {
          this.$http.get('clients/delete',{params:{id:client}}).then(res=>{
            if(res.data.message === 'deleted'){
              this.$swal({
                  icon: 'success',
                  title: 'Eliminado!',
                  text: 'El registro ha sido eliminado.',
                  customClass: {
                    confirmButton: 'btn btn-success',
                  },
                })
              this.$router.push({ name: 'apps-clients-list' })
            }else if(res.data.message === 'haveProjects'){
              this.$swal({
                title: 'Error',
                text: 'Este cliente tiene asignado uno o más proyectos, no se puede eliminar',
                icon: 'error',
                customClass: {
                  confirmButton: 'btn btn-success',
                },
              })
            }
            
            
          }).catch(err=>{
            console.log(err)
          })
      } else {
          this.$swal({
            title: 'Cancelado',
            text: 'El registro esta a salvo :)',
            icon: 'error',
            customClass: {
              confirmButton: 'btn btn-success',
            },
          })
        }
    })
    }
  }
}
</script>

<style>

</style>
